org.apache.ignite.internal.pagemem.wal.record

## Class CacheState

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.CacheState

    public class CacheState
    extends Object

### Nested Class Summary

Nested Classes
`static class` `CacheState.PartitionState`

### Constructor Summary

Constructors
Constructor and Description
`CacheState()`

### Method Summary

Methods
`void` `addPartitionState(int partId, long size, long cntr)`
`Map<Integer,CacheState.PartitionState>` `partitions()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheState

    public CacheState()

### Method Detail

#### addPartitionState

    public void addPartitionState(int partId,
                         long size,
                         long cntr)

Parameters:
  `partId` - Partition ID to add.
  `size` - Partition size.
  `cntr` - Partition counter.

#### partitions

    public Map<Integer,CacheState.PartitionState> partitions()

Returns:
  Partitions map.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017